<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<!-- 影像数据表(分表空间)(rscp_image_data_input_fail) -->
<mapper namespace="com.upyuns.platform.rs.datacenter.mapper.RscpImageDataInputFailMapper">
    <!-- This code was generated by TableGo tools, mark 1 begin. -->
    <!-- 字段映射 -->
    <resultMap id="rscpImageDataInputFailMap" type="com.upyuns.platform.rs.datacenter.entity.RscpImageDataInputFail">
        <id column="id" property="id" jdbcType="INTEGER" />
        <result column="data_no" property="dataNo" jdbcType="VARCHAR" />
        <result column="name" property="name" jdbcType="VARCHAR" />
        <result column="range" property="range" jdbcType="VARCHAR" />
        <result column="thumbnail_path" property="thumbnailPath" jdbcType="VARCHAR" />
        <result column="display_name" property="displayName" jdbcType="VARCHAR" />
        <result column="image_resolution" property="imageResolution" jdbcType="VARCHAR" />
        <result column="image_spectrum_type" property="imageSpectrumType" jdbcType="VARCHAR" />
        <result column="image_spectrum_type_display" property="imageSpectrumTypeDisplay" jdbcType="VARCHAR" />
        <result column="image_file_path" property="imageFilePath" jdbcType="VARCHAR" />
        <result column="image_center_point" property="imageCenterPoint" jdbcType="VARCHAR" />
        <result column="image_projection" property="imageProjection" jdbcType="VARCHAR" />
        <result column="image_satellite_type" property="imageSatelliteType" jdbcType="VARCHAR" />
        <result column="image_satellite_type_display" property="imageSatelliteTypeDisplay" jdbcType="VARCHAR" />
        <result column="image_take_time" property="imageTakeTime" jdbcType="VARCHAR" />
        <result column="image_cloudage" property="imageCloudage" jdbcType="INTEGER" />
        <result column="image_sensor_type" property="imageSensorType" jdbcType="VARCHAR" />
        <result column="files" property="files" jdbcType="VARCHAR" />
        <result column="image_is_save" property="imageIsSave" jdbcType="INTEGER" />
        <result column="image_scene_id" property="imageSceneId" jdbcType="VARCHAR" />
        <result column="image_product_format" property="imageProductFormat" jdbcType="VARCHAR" />
        <result column="image_product_time" property="imageProductTime" jdbcType="VARCHAR" />
        <result column="image_sat_path" property="imageSatPath" jdbcType="VARCHAR" />
        <result column="image_sat_row" property="imageSatRow" jdbcType="VARCHAR" />
        <result column="image_start_time" property="imageStartTime" jdbcType="VARCHAR" />
        <result column="image_end_time" property="imageEndTime" jdbcType="VARCHAR" />
        <result column="image_center_time" property="imageCenterTime" jdbcType="VARCHAR" />
        <result column="image_width_in_pixels" property="imageWidthInPixels" jdbcType="VARCHAR" />
        <result column="image_pitch_satellitess_angle" property="imagePitchSatellitessAngle" jdbcType="VARCHAR" />
        <result column="image_solar_azimuth" property="imageSolarAzimuth" jdbcType="VARCHAR" />
        <result column="image_solar_zenith" property="imageSolarZenith" jdbcType="VARCHAR" />
        <result column="image_satellite_azimuth" property="imageSatelliteAzimuth" jdbcType="VARCHAR" />
        <result column="image_satellite_zenith" property="imageSatelliteZenith" jdbcType="VARCHAR" />
        <result column="image_height_in_pixels" property="imageHeightInPixels" jdbcType="VARCHAR" />
        <result column="image_yaw_satellite_angle" property="imageYawSatelliteAngle" jdbcType="VARCHAR" />
        <result column="image_sensor_id" property="imageSensorId" jdbcType="VARCHAR" />
        <result column="record_status" property="recordStatus" jdbcType="INTEGER" />
        <result column="crt_time" property="crtTime" jdbcType="VARCHAR" />
        <result column="upd_time" property="updTime" jdbcType="VARCHAR" />
    </resultMap>
    <!-- This code was generated by TableGo tools, mark 1 end. -->
    
    <!-- This code was generated by TableGo tools, mark 2 begin. -->
    <!-- 表查询字段 -->
    <sql id="allColumns">
        ridif.id, ridif.data_no, ridif.name, ridif.range, ridif.thumbnail_path, ridif.display_name, ridif.image_resolution, ridif.image_spectrum_type, 
        ridif.image_spectrum_type_display, ridif.image_file_path, ridif.image_center_point, ridif.image_projection, ridif.image_satellite_type, ridif.image_satellite_type_display, ridif.image_take_time, ridif.image_cloudage, 
        ridif.image_sensor_type, ridif.files, ridif.image_is_save, ridif.image_scene_id, ridif.image_product_format, ridif.image_product_time, ridif.image_sat_path, ridif.image_sat_row, 
        ridif.image_start_time, ridif.image_end_time, ridif.image_center_time, ridif.image_width_in_pixels, ridif.image_pitch_satellitess_angle, ridif.image_solar_azimuth, ridif.image_solar_zenith, ridif.image_satellite_azimuth, 
        ridif.image_satellite_zenith, ridif.image_height_in_pixels, ridif.image_yaw_satellite_angle, ridif.image_sensor_id, ridif.record_status, ridif.crt_time, ridif.upd_time
    </sql>
    <!-- This code was generated by TableGo tools, mark 2 end. -->
    
</mapper>